BUS_REGISTER(9)

NAME
bus_register - register a bus with the system.

SYNOPSIS

int bus_register (struct bus_type * bus);

ARGUMENTS

bus bus.

DESCRIPTION

Once we have that, we registered the bus with the kobject infrastructure, then register the children subsystems it has: the devices and drivers that belong to the bus.